FreeBSD : libxml -- Stack consumption vulnerability (5a7d4110-0b7a-11e1-846b-00235409fd3e)

Medium Nessus Plugin ID 56772


The remote FreeBSD host is missing a security-related update.


Stack consumption vulnerability allows context-dependent attackers to cause a denial of service (application crash) via a large depth of element declarations in a DTD.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 56772

File Name: freebsd_pkg_5a7d41100b7a11e1846b00235409fd3e.nasl

Version: $Revision: 1.9 $

Type: local

Published: 2011/11/11

Modified: 2015/01/15

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:libxml, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2011/11/10

Vulnerability Publication Date: 2009/08/03

Reference Information

CVE: CVE-2009-2414

CWE: 119